OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : SnowLine , AirportSpec , IndustrySpec
- tabs : StringData
- tag : SaveLoadFormat
- tag_count : ContentInfo
- TagNameFilter() : NetworkContentListWindow , NewGRFWindow
- tags : ContentInfo
- tail : NWidgetContainer
- tail_reserve : ByteBlob
- tar_file : ScriptInfo , ScriptScanner
- target : StringIDMapping , ListOrderChange
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- Tcapacity : SmallArray< T, B, N >
- Tcls : CCountedPtr< Tcls_ >
- TCPConnecter() : TCPConnecter
- TemporaryStorageArray() : TemporaryStorageArray< TYPE, SIZE >
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- terrain_type : DifficultySettings
- text : Goal , AllowedSubtags , GRFTextWrapper , GRFText , NamePart , OskWindow , StoryPageElement , TextfileWindow , Town , CommandContainer , LoggedChange
- text_btn : OskWindow
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart
- text_offset : SignListWindow
- text_position : AboutWindow
- text_width : CompanyLeagueWindow
- Textbuf() : Textbuf
- textref_stack : CommandCost , ErrorMessageData
- textref_stack_grffile : CommandCost , ErrorMessageData
- textref_stack_size : CommandCost , ErrorMessageData
- tgen_smoothness : GameCreationSettings
- this_month_production : Industry
- this_month_transported : Industry
- thread : GenWorldInfo , LinkGraphJob , TCPConnecter , ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- threaded : GenWorldInfo
- threaded_saves : GUISettings
- ThreadEntry() : TCPConnecter
- ThreadMutexLocker() : ThreadMutexLocker
- ThreadObject_MorphOS() : ThreadObject_MorphOS
- ThreadObject_OS2() : ThreadObject_OS2
- ThreadObject_pthread() : ThreadObject_pthread
- ThreadObject_Win32() : ThreadObject_Win32
- ThreadProc() : ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- ThrowError() : Squirrel
- ti : AirportTileTable , HangarTileTable
- tick : LoggedAction
- Tick() : Aircraft , DisasterVehicle , EffectVehicle , RoadVehicle , Ship , Train , Vehicle
- tick_counter : Vehicle
- TICKER_STOP : StatusBarWindow
- ticks : VideoDriver_Null
- tile : CommandContainer , AirportScopeResolver , AirportTileScopeResolver , CanalScopeResolver , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , RailTypeScopeResolver , StationScopeResolver , BasePersistentStorageArray , OrderBackup , FindDepotData , PBSTileInfo , TileAndStation , TileInfo , OrthogonalTileArea , DiagonalTileArea , TileIterator , SpotData , Vehicle
- tile_count : StatueBuildSearchData
- tile_to_new_height : TerraformerState
- TileBelongsToIndustry() : Industry
- TileBelongsToRailStation() : BaseStation , Station , Waypoint
- tileh : TileInfo
- TileIterator() : TileIterator
- TileMayHaveSlopedTrack() : RoadVehicle , Train
- tiles : StationSpec
- tiles_scope : AirportTileResolverObject
- time : IConsoleLine , Script_Suspend
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timeout : AISettingsWindow , NewGRFParametersWindow
- timeout_timer : Window
- timer_enabled : BuildIndustryWindow
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_in_ticks : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- Titem : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- title : HighScore , FileToSaveLoad , SettingsPage , StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- ToDisplay() : UnitConversion
- ToggleFullscreen() : VideoDriver_Allegro , VideoDriver_Cocoa , CocoaSubdriver , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver , VideoDriver_Win32
- ToggleSelectedState() : ClientNetworkContentSocketHandler
- ToggleSortOrder() : GUIList< T, F >
- ToggleWidgetLoweredState() : Window
- token : Lexer , ClientNetworkGameSocketHandler
- tool_tip : NWidgetCore
- toolbar_caption : RailtypeInfo
- toolbar_pos : GUISettings
- tooltip : NWidgetPartDataTip
- top : Blitter::BlitterParams , ParentSpriteToDraw , ViewPort , ViewportSign , Window
- top_end : CargoesField
- top_offset : AIDebugWindow
- TOP_OFFSET : NewGRFInspectWindow
- TOP_SPACING : TextfileWindow
- top_spacing : MessageHistoryWindow
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : CursorVars , PacketWriter
- total_width : CompanyInfrastructureWindow
- TotalCount() : VehicleCargoList , StationCargoList , CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- town : TownAuthorityWindow
- Town() : Town
- town : BaseStation , Industry , HouseScopeResolver , Object , TownViewWindow
- town_cn : Depot , Waypoint
- town_council_tolerance : DifficultySettings
- town_effect : CargoSpec
- town_growth_rate : EconomySettings
- town_layout : FoundTownWindow , EconomySettings
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_scope : IndustriesResolverObject , ObjectResolverObject , StationResolverObject , TownResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow
- TownNameParams() : TownNameParams
- townnameparts : FoundTownWindow
- TownNameSorter() : TownDirectoryWindow
- townnamevalid : FoundTownWindow
- TownPopulationSorter() : TownDirectoryWindow
- TownRatingSorter() : TownDirectoryWindow
- TownResolverObject() : TownResolverObject
- TownScopeResolver() : TownScopeResolver
- Tpf : CYapfCostShipT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list > , CYapfFollowShipT< Types > , CYapfBaseT< Types > , CYapfOriginTileT< Types > , CYapfFollowRailT< Types > , CYapfReserveTrack< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfFollowAnyDepotRailT< Types > , CYapfCostRailT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfCostRoadT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationTileRoadT< Types > , CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheNoneT< Types > , CYapfOriginTileTwoWayT< Types > , CYapfFollowRoadT< Types >
- track_ns : RailtypeInfo
- track_y : RailtypeInfo
- trackdir : PBSTileInfo
- TrackFollower : CYapfCostRoadT< Types > , CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list > , CYapfDestinationAnySafeTileRailT< Types >
- tractive_effort : RoadVehicleInfo , RailVehicleInfo
- Train() : Train
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- TransferFrom() : ContentInfo
- transfers : CargoDataEntry
- translated : LangString
- translated_case : LangString
- translation : StringReader
- TranslationWriter() : TranslationWriter
- transport_name : BridgeSpec
- TransportTypeChar() : CYapfFollowRoadT< Types > , CYapfFollowShipT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowAnyDepotRailT< Types >
- Trash() : Backup< T >
- travel_time : Order
- TreatFirstRedTwoWaySignalAsEOL() : CYapfOriginTileTwoWayT< Types >
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- truck_station : Station
- truck_stops : Station
- Truncate() : StationCargoList , IConsoleLine , VehicleCargoList
- TryBuildNewIndustry() : IndustryBuildData
- TryMerge() : CargoList< Tinst, Tcont >
- TryPop() : CHashTableT< Titem_, Thash_bits_ >
- TryReservePath() : CYapfReserveTrack< Types >
- TryReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- Tsize : FixedSizeArray< T, C >
- ttd_airport_type : AirportSpec
- tunnel : RailtypeInfo
- turn_counter : Aircraft
- type : IniGroup , VehicleListIdentifier , EngineIDMapping , TownNameParams , ContentInfo , Engine , LoggedChange , SpriteLoader::Sprite , AllowedSubtags , GoalQuestionWindow , NWidgetPart , CargoesField , PoolBase , OldChunks , NWidgetBase , Command , IndustriesScopeResolver , LegendAndColour , SettingFilter , SpriteCache , DriverFactoryBase , Object , Goal , UnmappedChoiceList , StoryPageElement , MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits > , StringParameters , Airport
- Type : Driver
- type : Tile , IndustryCargoesWindow , CheatEntry , NewsItem , Industry , Order , BaseVehicle , GRFParameterInfo
- type_hides : SettingFilter
- TypeOrSelectedFilter() : NetworkContentListWindow
- types : ContentListFilterData
- Types : CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- TypeSorter() : NetworkContentListWindow